//Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Tool Version: Vivado v.2023.1 (lin64) Build 3865809 Sun May  7 15:04:56 MDT 2023
//Date        : Thu Sep 28 03:02:28 2023
//Host        : xcoapps66 running 64-bit Ubuntu 18.04.2 LTS
//Command     : generate_target dpss_zcu102_tx_wrapper.bd
//Design      : dpss_zcu102_tx_wrapper
//Purpose     : IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

module dpss_zcu102_tx_wrapper
   (B_SOURCE_AUX_DE,
    B_SOURCE_RST,
    IIC_MAIN_scl_io,
    IIC_MAIN_sda_io,
    Si570_CLK_clk_n,
    Si570_CLK_clk_p,
    aux_tx_data_en_out_n_0,
    aux_tx_data_in_0,
    aux_tx_data_out_0,
    mgtrefclk0_pad_n_in,
    mgtrefclk0_pad_p_in,
    mgtrefclk1_pad_n_in,
    mgtrefclk1_pad_p_in,
    phy_txn_out,
    phy_txp_out,
    pwr,
    tx_hpd);
  output [0:0]B_SOURCE_AUX_DE;
  output [0:0]B_SOURCE_RST;
  inout IIC_MAIN_scl_io;
  inout IIC_MAIN_sda_io;
  input Si570_CLK_clk_n;
  input Si570_CLK_clk_p;
  output [0:0]aux_tx_data_en_out_n_0;
  input aux_tx_data_in_0;
  output aux_tx_data_out_0;
  input mgtrefclk0_pad_n_in;
  input mgtrefclk0_pad_p_in;
  input mgtrefclk1_pad_n_in;
  input mgtrefclk1_pad_p_in;
  output [3:0]phy_txn_out;
  output [3:0]phy_txp_out;
  output [0:0]pwr;
  input tx_hpd;

  wire [0:0]B_SOURCE_AUX_DE;
  wire [0:0]B_SOURCE_RST;
  wire IIC_MAIN_scl_i;
  wire IIC_MAIN_scl_io;
  wire IIC_MAIN_scl_o;
  wire IIC_MAIN_scl_t;
  wire IIC_MAIN_sda_i;
  wire IIC_MAIN_sda_io;
  wire IIC_MAIN_sda_o;
  wire IIC_MAIN_sda_t;
  wire Si570_CLK_clk_n;
  wire Si570_CLK_clk_p;
  wire [0:0]aux_tx_data_en_out_n_0;
  wire aux_tx_data_in_0;
  wire aux_tx_data_out_0;
  wire mgtrefclk0_pad_n_in;
  wire mgtrefclk0_pad_p_in;
  wire mgtrefclk1_pad_n_in;
  wire mgtrefclk1_pad_p_in;
  wire [3:0]phy_txn_out;
  wire [3:0]phy_txp_out;
  wire [0:0]pwr;
  wire tx_hpd;

  IOBUF IIC_MAIN_scl_iobuf
       (.I(IIC_MAIN_scl_o),
        .IO(IIC_MAIN_scl_io),
        .O(IIC_MAIN_scl_i),
        .T(IIC_MAIN_scl_t));
  IOBUF IIC_MAIN_sda_iobuf
       (.I(IIC_MAIN_sda_o),
        .IO(IIC_MAIN_sda_io),
        .O(IIC_MAIN_sda_i),
        .T(IIC_MAIN_sda_t));
  dpss_zcu102_tx dpss_zcu102_tx_i
       (.B_SOURCE_AUX_DE(B_SOURCE_AUX_DE),
        .B_SOURCE_RST(B_SOURCE_RST),
        .IIC_MAIN_scl_i(IIC_MAIN_scl_i),
        .IIC_MAIN_scl_o(IIC_MAIN_scl_o),
        .IIC_MAIN_scl_t(IIC_MAIN_scl_t),
        .IIC_MAIN_sda_i(IIC_MAIN_sda_i),
        .IIC_MAIN_sda_o(IIC_MAIN_sda_o),
        .IIC_MAIN_sda_t(IIC_MAIN_sda_t),
        .Si570_CLK_clk_n(Si570_CLK_clk_n),
        .Si570_CLK_clk_p(Si570_CLK_clk_p),
        .aux_tx_data_en_out_n_0(aux_tx_data_en_out_n_0),
        .aux_tx_data_in_0(aux_tx_data_in_0),
        .aux_tx_data_out_0(aux_tx_data_out_0),
        .mgtrefclk0_pad_n_in(mgtrefclk0_pad_n_in),
        .mgtrefclk0_pad_p_in(mgtrefclk0_pad_p_in),
        .mgtrefclk1_pad_n_in(mgtrefclk1_pad_n_in),
        .mgtrefclk1_pad_p_in(mgtrefclk1_pad_p_in),
        .phy_txn_out(phy_txn_out),
        .phy_txp_out(phy_txp_out),
        .pwr(pwr),
        .tx_hpd(tx_hpd));
endmodule
